<?php

declare(strict_types=1);

namespace FiloBlu\VatValidatorApi\Model;

class ValidationResult
{
    /**
     * @var bool
     */
    private $isValid;

    /**
     * @var array|null
     */
    private $error;

    /**
     * @param bool $isValid
     * @param array $error
     */
    public function __construct(bool $isValid = true, array $error = [])
    {
        $this->isValid = $isValid;
        $this->error = $error;
    }

    /**
     * @return bool
     */
    public function isValid(): bool
    {
        return $this->isValid;
    }

    /**
     * @param bool $isValid
     * @return $this
     */
    public function setIsValid(bool $isValid): ValidationResult
    {
        $this->isValid = $isValid;
        return $this;
    }

    /**
     * @return array
     */
    public function getError(): array
    {
        return $this->error ?? [];
    }

    /**
     * @param array $error
     * @return $this
     */
    public function setError(array $error): ValidationResult
    {
        $this->error = $error;
        return $this;
    }
}