<?php

declare(strict_types=1);

namespace FiloBlu\VatValidatorApi\Model;

use FiloBlu\VatValidatorApi\Api\ValidationServiceRequestInterface;
use Magento\Framework\DataObject;

/**
 *
 */
class ValidationServiceRequest extends DataObject implements ValidationServiceRequestInterface
{
    /**
     * @return string
     */
    public function getVatNumber(): string
    {
        return (string)$this->getData(self::VAT_NUMBER);
    }

    /**
     * @return string
     */
    public function getCountryCode(): string
    {
        return (string)$this->getData(self::COUNTRY_CODE);
    }

    /**
     * @param string $vatNumber
     * @return $this
     */
    public function setVatNumber(string $vatNumber): ValidationServiceRequest
    {
        $this->setData(self::VAT_NUMBER, $vatNumber);
        return $this;
    }

    /**
     * @param string $countryCode
     * @return $this
     */
    public function setCountryCode(string $countryCode): ValidationServiceRequest
    {
        $this->setData(self::COUNTRY_CODE, $countryCode);
        return $this;
    }
}