<?php

namespace FiloBlu\VatValidatorApi\Model;

use FiloBlu\VatValidatorApi\Api\ValidationServiceRequestInterface;
use FiloBlu\VatValidatorApi\Api\VatValidatorServiceInterface;

/**
 *
 */
class VatValidatorService implements VatValidatorServiceInterface
{
    /**
     * @var \FiloBlu\VatValidatorApi\Model\Validator
     */
    private $validator;

    /**
     * @param \FiloBlu\VatValidatorApi\Model\Validator $validator
     */
    public function __construct(Validator $validator)
    {
        $this->validator = $validator;
    }

    /**
     * @param ValidationServiceRequestInterface $request
     * @return bool|mixed
     */
    public function isValid(ValidationServiceRequestInterface $request)
    {
        $checkData = $this->validator->checkInputData($request);
        if (!$checkData->isValid()) {
            return false;
        }

        return $this->validator->validate($request)
                               ->isValid();
    }

}
